Duplicate an HHD flow
curl --request POST \
--url https://clarus-api.com/api/rf/flows/{id}/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "rf_flows",
"attributes": {
"code": "PICK_STANDARD_COPY"
}
}
}
'import requests
url = "https://clarus-api.com/api/rf/flows/{id}/duplicate"
payload = { "data": {
"type": "rf_flows",
"attributes": { "code": "PICK_STANDARD_COPY" }
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({data: {type: 'rf_flows', attributes: {code: 'PICK_STANDARD_COPY'}}})
};
fetch('https://clarus-api.com/api/rf/flows/{id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": 123,
"type": "rf_flows",
"attributes": {
"code": "PICK_STANDARD",
"name": "Standard Pick Flow",
"flow_type": "standard",
"implementation_id": 1,
"is_default": false,
"definition": {
"steps": []
}
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}HHD Flows
Duplicate an HHD flow
Create a copy of an existing HHD flow under a new code.
POST
/
api
/
rf
/
flows
/
{id}
/
duplicate
Duplicate an HHD flow
curl --request POST \
--url https://clarus-api.com/api/rf/flows/{id}/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "rf_flows",
"attributes": {
"code": "PICK_STANDARD_COPY"
}
}
}
'import requests
url = "https://clarus-api.com/api/rf/flows/{id}/duplicate"
payload = { "data": {
"type": "rf_flows",
"attributes": { "code": "PICK_STANDARD_COPY" }
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({data: {type: 'rf_flows', attributes: {code: 'PICK_STANDARD_COPY'}}})
};
fetch('https://clarus-api.com/api/rf/flows/{id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": 123,
"type": "rf_flows",
"attributes": {
"code": "PICK_STANDARD",
"name": "Standard Pick Flow",
"flow_type": "standard",
"implementation_id": 1,
"is_default": false,
"definition": {
"steps": []
}
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}
